package de.dass_it.vanhelsing.gui.items;
public class StorageItem extends ItemType implements UserObjectItem{

	private String name;
	private String address;
	private String sdPort;
	private String password;
	private String device;
	private String mediaType;
	private String autochanger;
	private String maximumConcurrentJobs;
	private String allowCompression;
	private String heartbeatInterval;
	
	public StorageItem() {}
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getSdPort() {
		return sdPort;
	}

	public void setSdPort(String sdPort) {
		this.sdPort = sdPort;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getDevice() {
		return device;
	}

	public void setDevice(String device) {
		this.device = device;
	}

	public String getMediaType() {
		return mediaType;
	}

	public void setMediaType(String mediaType) {
		this.mediaType = mediaType;
	}

	public String getAutochanger() {
		return autochanger;
	}

	public void setAutochanger(String autochanger) {
		this.autochanger = autochanger;
	}

	public String getMaximumConcurrentJobs() {
		return maximumConcurrentJobs;
	}

	public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
		this.maximumConcurrentJobs = maximumConcurrentJobs;
	}

	public String getAllowCompression() {
		return allowCompression;
	}

	public void setAllowCompression(String allowCompression) {
		this.allowCompression = allowCompression;
	}

	public String getHeartbeatInterval() {
		return heartbeatInterval;
	}

	public void setHeartbeatInterval(String heartbeatInterval) {
		this.heartbeatInterval = heartbeatInterval;
	}

}
